# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CartesianPoint Class Reference

`#include <StepGeom_CartesianPoint.hxx>`

Inheritance diagram for StepGeom_CartesianPoint:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_CartesianPoint ()
| Returns a CartesianPoint .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TColStd_HArray1OfReal)&aCoordinates)
Standard_EXPORT void | Init2D (const Handle(TCollection_HAsciiString)&aName, const Standard_Real X, const Standard_Real Y)
Standard_EXPORT void | Init3D (const Handle(TCollection_HAsciiString)&aName, const Standard_Real X, const Standard_Real Y, const Standard_Real Z)
Standard_EXPORT void | SetCoordinates (const Handle(TColStd_HArray1OfReal)&aCoordinates)
Standard_EXPORT Handle_TColStd_HArray1OfReal | Coordinates () const
Standard_EXPORT Standard_Real | CoordinatesValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbCoordinates () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | nbcoord
Standard_Real | coords [3]

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CartesianPoint::StepGeom_CartesianPoint | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HArray1OfReal StepGeom_CartesianPoint::Coordinates | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_CartesianPoint::CoordinatesValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepGeom_CartesianPoint::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Point.

virtual Standard_EXPORT void StepGeom_CartesianPoint::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TColStd_HArray1OfReal)& | aCoordinates
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_CartesianPoint::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepGeom_CartesianPoint::Init2D | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Real | X,
|  | const Standard_Real | Y
| ) |

Standard_EXPORT void StepGeom_CartesianPoint::Init3D | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | Z
| ) |

Standard_EXPORT Standard_Integer StepGeom_CartesianPoint::NbCoordinates | ( |  | ) | const

Standard_EXPORT void StepGeom_CartesianPoint::SetCoordinates | ( | const Handle(TColStd_HArray1OfReal)& | aCoordinates | ) |

## Field Documentation

Standard_Real StepGeom_CartesianPoint::coords[3]`[private]`

Standard_Integer StepGeom_CartesianPoint::nbcoord `[private]`

The documentation for this class was generated from the following file:

- StepGeom_CartesianPoint.hxx